/
githubmirror
/
zulip
Обзор
Документация
Войти
/
githubmirror
/
zulip
Код
Запросы
0
Пакеты
0
Релизы
0
Аналитика
Безопасность
10.0-dev
tools/ci/setup-backend
18 строк
628 B
Anders Kaseorg
ci: Remove 2>&1 redirection.
30 мар 2021, 00:52
30 мар 2021, 00:52
056b715
Код
Авторство
О чём код?
#!/usr/bin/env bash set -e set -x # This is just a thin wrapper around provision. # Provisioning may fail due to many issues but most of the times a network # connection issue is the reason. So we are going to retry entire provisioning # once again if that fixes our problem. tools/provision "$@" || { ret=$? if [ "$ret" = 1 ]; then echo "\`provision\`: Something went wrong with the provisioning, might be a network issue, Retrying to provision..." tools/provision else echo "\`provision\`: Something REALLY BAD went wrong with the provisioning, not retrying." exit "$ret" fi }